nps: poci/script/poci.init - sane jnet0 interface set-up
baggins
baggins at pld-linux.org
Thu Sep 15 20:07:30 CEST 2005
Author: baggins Date: Thu Sep 15 18:07:30 2005 GMT
Module: nps Tag: HEAD
---- Log message:
- sane jnet0 interface set-up
---- Files affected:
nps/poci/script:
poci.init (1.1 -> 1.2)
---- Diffs:
================================================================
Index: nps/poci/script/poci.init
diff -u nps/poci/script/poci.init:1.1 nps/poci/script/poci.init:1.2
--- nps/poci/script/poci.init:1.1 Tue Jul 26 01:16:15 2005
+++ nps/poci/script/poci.init Thu Sep 15 20:07:24 2005
@@ -29,11 +29,9 @@
KERNEL_VERSION=$(uname -r | sed "s/\([0-9]*\.[0-9]*\)\..*/\1/")
PLATFORM=$(uname -m)
-EXTRA_CMDS=""
JNET_INSMOD=jnet_prs
MC_INSMOD=nws_mc
if [ "$KERNEL_VERSION" = "2.6" ] ; then
- EXTRA_CMDS="route add -host 169.254.101.2 jnet0"
if [ "$PLATFORM" = "x86_64" ] ; then
MC_INSMOD=""
fi
@@ -71,23 +69,16 @@
# there is some concern about configuring jnet too fast
sleep 1
- ifconfig jnet0 169.254.101.3
- if [ $? -ne 0 ] ; then
+ if /sbin/ifup jnet0 ; then
+ daemon nws_poci
+ RETVAL=$?
+
+ daemon nws_hb
+ daemon nws_mc
+ else
echo "failed"
exit 1
fi
-
- $EXTRA_CMDS
- if [ $? -ne 0 ] ; then
- echo "failed"
- exit 1
- fi
-
- daemon nws_poci
- RETVAL=$?
-
- daemon nws_hb
- daemon nws_mc
[ $RETVAL -eq 0 ] && touch /var/lock/subsys/poci
else
msg_already_running poci
@@ -103,7 +94,7 @@
killproc nws_mc
sleep 1
- ifconfig jnet0 down
+ /sbin/ifdown jnet0
if lsmod | grep -q ^nws_mc ; then
rmmod nws_mc
================================================================
---- CVS-web:
http://cvs.pld-linux.org/nps/poci/script/poci.init?r1=1.1&r2=1.2&f=u
More information about the pld-cvs-commit
mailing list